org.jboss.jca.common.api.metadata.ds

## Interface Driver

- All Superinterfaces:
    JCAMetadata, java.io.Serializable, ValidatableMetadata

      public interface Driver
      extends JCAMetadata, ValidatableMetadata

  A DataSource.
  Author:
    Stefano Maestri

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Driver.Attribute` A Attribute.
    `static class` | `Driver.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDataSourceClass()` Get the DataSourceClass.
    `java.lang.String` | `getDriverClass()` Get the DriverClass.
    `java.lang.Integer` | `getMajorVersion()` Get the MajorVersion
    `java.lang.Integer` | `getMinorVersion()` Get the MinorVersion
    `java.lang.String` | `getModule()` Get the module providing the driver.
    `java.lang.String` | `getName()` Get the name.
    `java.lang.String` | `getXaDataSourceClass()` Get the XaDataSourceClass.

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Get the name.
      Returns:
        the name.

    - #### getMajorVersion

          java.lang.Integer getMajorVersion()

      Get the MajorVersion
      Returns:
        the MajorVersion.

    - #### getMinorVersion

          java.lang.Integer getMinorVersion()

      Get the MinorVersion
      Returns:
        the MinorVersion.

    - #### getModule

          java.lang.String getModule()

      Get the module providing the driver. Used in AS7 configuration
      Returns:
        the module.

    - #### getDriverClass

          java.lang.String getDriverClass()

      Get the DriverClass.
      Returns:
        the module.

    - #### getDataSourceClass

          java.lang.String getDataSourceClass()

      Get the DataSourceClass.
      Returns:
        the DataSourceClass.

    - #### getXaDataSourceClass

          java.lang.String getXaDataSourceClass()

      Get the XaDataSourceClass.
      Returns:
        the XaDataSourceClass.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)